package com.steerinfo.ems.tprocessinfor.service;

import com.steerinfo.ems.tprocessinfor.mapper.TProcessinforMapper;
import com.steerinfo.ems.trmworkproc.mapper.TRmWorkprocMapper;
import com.steerinfo.ems.trmworkproc.model.TRmWorkproc;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.tprocessinfor.model.TProcessinfor;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TProcessinfor服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-06-09 10:34
 * 类描述
 * 修订历史：
 * 日期：2022-06-09
 * 作者：generator
 * 参考：
 * 描述：TProcessinfor服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITProcessinforService extends IBaseService<TProcessinfor, String>{
    List<TProcessinfor> getTree(Map<String, Object> parameters);
    List<TProcessinfor> getParent();
    Integer getMaxSeqNo();
    List<TProcessinforMapper> getIdAndName(Map<String, Object> parameters);

    List<TProcessinfor> getMenus(String node);
}